<style type="text/css">
#pdf_content  {
  margin-top: 10px;
  border-width: 0px;
}
.spinner  {
  margin-top: 40px;
}
#conthead {
  background: #eeeeee;
  border-radius: 5px;
  padding: 10px;
}
#conthead p {
 margin-bottom: 0px;
}
#officetitle {
  color: #000000;
}
#vndhelp {
  margin-left: 20px;
  font-size: 85%;
}
#vndhelp:link {
  color: #337ab7;
}
#vndhelp:visited {
  color: #337ab7;
}
#visucomment {
  border-top-width: 2px;
  border-top-style: solid;
  border-top-color: #000000;
  margin-top: 10px;
  padding-top: 10px;
  color: #000000;
}
.action {
  width: 250px;
  margin: 2px;
}
</style>
<div id="conthead" class="container-fluid"><div class="row">
<div class="col">
<strong id="officetitle"><i class="far fa-file"></i>&nbsp;<?php echo $this->FILENAM; ?></strong>
<p id="visucomment">Ceci est un document bureautique, vous en voyez ci-dessous une prévisualisation pdf.</p>
</div>
<div class="col">
<a href="<?php echo $this->DLURL; ?>" class="btn btn-primary btn-sm action" role="button" ><i class="fas fa-download"></i>&nbsp;Télécharger la version originale</a><br>
 <a href="<?php echo $this->VNDURL; ?>" class="btn btn-warning btn-sm action" role="button" ><i class="fas fa-edit"></i>&nbsp;Editer directement en ligne</a>&nbsp;<a id="vndhelp" href="<?php echo $this->HELPURL; ?>" target="vndhelp"><span class="glyphicon glyphicon-info-sign"></span>&nbsp;<em>Prérequis techniques</em></a>
</div></div></div>
<div class="container-fluid vh-100">
<iframe src="<?php echo $this->CONVURL; ?>" id="pdf_content" class="h-100 w-100" style="display: none"></iframe>
<div class="d-flex justify-content-center spinner" id="wait_spin1">
 <div class="spinner-border" role="status" id="wait_spin2">
   <span class="sr-only">Loading...</span>
 </div>
</div>
</div>

<script>
$('#pdf_content').on('load', function(e) {
  $('#wait_spin1').hide();
  $('#wait_spin2').hide();
  $('#pdf_content').show();
});
</script>
